Package org.eclipse.emf.cdo.server

# Interface CDOServerExporter.XMLConstants

All Known Implementing Classes:
  `CDOServerExporter.XML`, `CDOServerImporter.XML`

Enclosing class:
  CDOServerExporter<OUT>

public static interface CDOServerExporter.XMLConstants
XML constants being used by both `exporters` and `importers`.

Author:
  Eike Stepper
No Implement
  This interface is not intended to be implemented by clients.
No Extend
  This interface is not intended to be extended by clients.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`BLOB`
`static final String`
`BRANCH`
`static final String`
`BRANCH_ID`
`static final String`
`BRANCH_NAME`
`static final String`
`BRANCH_PARENT`
`static final String`
`BRANCH_TIME`
`static final String`
`CLOB`
`static final String`
`COMMIT`
`static final String`
`COMMIT_BRANCH`
`static final String`
`COMMIT_COMMENT`
`static final String`
`COMMIT_PREVIOUS`
`static final String`
`COMMIT_TIME`
`static final String`
`COMMIT_USER`
`static final String`
`COMMITS`
`static final String`
`FEATURE`
`static final String`
`FEATURE_ID`
`static final String`
`FEATURE_INNER_FEATURE`
`static final String`
`FEATURE_INNER_TYPE`
`static final String`
`FEATURE_ISNULL`
`static final String`
`FEATURE_ISSET`
`static final String`
`FEATURE_NAME`
`static final String`
`FEATURE_SIZE`
`static final String`
`FEATURE_TYPE`
`static final String`
`FEATURE_VALUE`
`static final String`
`INSTANCES`
`static final String`
`LOB_ID`
`static final String`
`LOB_SIZE`
`static final String`
`LOBS`
`static final String`
`MERGE_SOURCE_BRANCH`
`static final String`
`MERGE_SOURCE_TIME`
`static final String`
`MODELS`
`static final String`
`PACKAGE_INFO`
`static final String`
`PACKAGE_INFO_URI`
`static final String`
`PACKAGE_UNIT`
`static final String`
`PACKAGE_UNIT_DATA`
`static final String`
`PACKAGE_UNIT_ID`
`static final String`
`PACKAGE_UNIT_TIME`
`static final String`
`PACKAGE_UNIT_TYPE`
`static final String`
`REPOSITORY`
`static final String`
`REPOSITORY_COMMITTED`
`static final String`
`REPOSITORY_CREATED`
`static final String`
`REPOSITORY_EXPORT_BRANCH`
`static final String`
`REPOSITORY_EXPORT_TIME`
`static final String`
`REPOSITORY_NAME`
`static final String`
`REPOSITORY_ROOT`
`static final String`
`REPOSITORY_UUID`
`static final String`
`REVISION`
`static final String`
`REVISION_CLASS`
`static final String`
`REVISION_CONTAINER`
`static final String`
`REVISION_DETACHED`
`static final String`
`REVISION_FEATURE`
`static final String`
`REVISION_ID`
`static final String`
`REVISION_RESOURCE`
`static final String`
`REVISION_REVISED`
`static final String`
`REVISION_TIME`
`static final String`
`REVISION_VERSION`
`static final String`
`TYPE_BLOB`
`static final String`
`TYPE_BYTE_ARRAY`
`static final String`
`TYPE_CLOB`
`static final String`
`TYPE_FEATURE_MAP`
Deprecated.
As of 4.5 `feature maps` are no longer supported.

## Field Details

### REPOSITORY

static final String REPOSITORY

See Also:
  - Constant Field Values

### REPOSITORY_NAME

static final String REPOSITORY_NAME

See Also:
  - Constant Field Values

### REPOSITORY_UUID

static final String REPOSITORY_UUID

See Also:
  - Constant Field Values

### REPOSITORY_ROOT

static final String REPOSITORY_ROOT

See Also:
  - Constant Field Values

### REPOSITORY_CREATED

static final String REPOSITORY_CREATED

See Also:
  - Constant Field Values

### REPOSITORY_COMMITTED

static final String REPOSITORY_COMMITTED

See Also:
  - Constant Field Values

### REPOSITORY_EXPORT_BRANCH

static final String REPOSITORY_EXPORT_BRANCH

Since:
  4.8
See Also:
  - Constant Field Values

### REPOSITORY_EXPORT_TIME

static final String REPOSITORY_EXPORT_TIME

Since:
  4.8
See Also:
  - Constant Field Values

### MODELS

static final String MODELS

See Also:
  - Constant Field Values

### PACKAGE_UNIT

static final String PACKAGE_UNIT

See Also:
  - Constant Field Values

### PACKAGE_UNIT_ID

static final String PACKAGE_UNIT_ID

See Also:
  - Constant Field Values

### PACKAGE_UNIT_TYPE

static final String PACKAGE_UNIT_TYPE

See Also:
  - Constant Field Values

### PACKAGE_UNIT_TIME

static final String PACKAGE_UNIT_TIME

See Also:
  - Constant Field Values

### PACKAGE_UNIT_DATA

static final String PACKAGE_UNIT_DATA

See Also:
  - Constant Field Values

### PACKAGE_INFO

static final String PACKAGE_INFO

See Also:
  - Constant Field Values

### PACKAGE_INFO_URI

static final String PACKAGE_INFO_URI

See Also:
  - Constant Field Values

### INSTANCES

static final String INSTANCES

See Also:
  - Constant Field Values

### BRANCH

static final String BRANCH

See Also:
  - Constant Field Values

### BRANCH_ID

static final String BRANCH_ID

See Also:
  - Constant Field Values

### BRANCH_NAME

static final String BRANCH_NAME

See Also:
  - Constant Field Values

### BRANCH_TIME

static final String BRANCH_TIME

See Also:
  - Constant Field Values

### BRANCH_PARENT

static final String BRANCH_PARENT

See Also:
  - Constant Field Values

### REVISION

static final String REVISION

See Also:
  - Constant Field Values

### REVISION_ID

static final String REVISION_ID

See Also:
  - Constant Field Values

### REVISION_CLASS

static final String REVISION_CLASS

See Also:
  - Constant Field Values

### REVISION_VERSION

static final String REVISION_VERSION

See Also:
  - Constant Field Values

### REVISION_TIME

static final String REVISION_TIME

See Also:
  - Constant Field Values

### REVISION_REVISED

static final String REVISION_REVISED

See Also:
  - Constant Field Values

### REVISION_DETACHED

static final String REVISION_DETACHED

Since:
  4.7
See Also:
  - Constant Field Values

### REVISION_RESOURCE

static final String REVISION_RESOURCE

See Also:
  - Constant Field Values

### REVISION_CONTAINER

static final String REVISION_CONTAINER

See Also:
  - Constant Field Values

### REVISION_FEATURE

static final String REVISION_FEATURE

See Also:
  - Constant Field Values

### FEATURE

static final String FEATURE

See Also:
  - Constant Field Values

### FEATURE_NAME

static final String FEATURE_NAME

See Also:
  - Constant Field Values

### FEATURE_TYPE

static final String FEATURE_TYPE

See Also:
  - Constant Field Values

### FEATURE_INNER_FEATURE

static final String FEATURE_INNER_FEATURE

See Also:
  - Constant Field Values

### FEATURE_INNER_TYPE

static final String FEATURE_INNER_TYPE

See Also:
  - Constant Field Values

### FEATURE_VALUE

static final String FEATURE_VALUE

See Also:
  - Constant Field Values

### FEATURE_ISSET

static final String FEATURE_ISSET

Since:
  4.7
See Also:
  - Constant Field Values

### FEATURE_ISNULL

static final String FEATURE_ISNULL

Since:
  4.7
See Also:
  - Constant Field Values

### FEATURE_ID

static final String FEATURE_ID

See Also:
  - Constant Field Values

### FEATURE_SIZE

static final String FEATURE_SIZE

See Also:
  - Constant Field Values

### TYPE_BLOB

static final String TYPE_BLOB

See Also:
  - Constant Field Values

### TYPE_CLOB

static final String TYPE_CLOB

See Also:
  - Constant Field Values

### TYPE_BYTE_ARRAY

static final String TYPE_BYTE_ARRAY

Since:
  4.7
See Also:
  - Constant Field Values

### TYPE_FEATURE_MAP

@Deprecated static final String TYPE_FEATURE_MAP
Deprecated.
As of 4.5 `feature maps` are no longer supported.

### LOBS

static final String LOBS

See Also:
  - Constant Field Values

### LOB_ID

static final String LOB_ID

See Also:
  - Constant Field Values

### LOB_SIZE

static final String LOB_SIZE

See Also:
  - Constant Field Values

### BLOB

static final String BLOB

See Also:
  - Constant Field Values

### CLOB

static final String CLOB

See Also:
  - Constant Field Values

### COMMITS

static final String COMMITS

See Also:
  - Constant Field Values

### COMMIT

static final String COMMIT

See Also:
  - Constant Field Values

### COMMIT_TIME

static final String COMMIT_TIME

See Also:
  - Constant Field Values

### COMMIT_PREVIOUS

static final String COMMIT_PREVIOUS

See Also:
  - Constant Field Values

### COMMIT_BRANCH

static final String COMMIT_BRANCH

See Also:
  - Constant Field Values

### COMMIT_USER

static final String COMMIT_USER

See Also:
  - Constant Field Values

### COMMIT_COMMENT

static final String COMMIT_COMMENT

See Also:
  - Constant Field Values

### MERGE_SOURCE_BRANCH

static final String MERGE_SOURCE_BRANCH

Since:
  4.6
See Also:
  - Constant Field Values

### MERGE_SOURCE_TIME

static final String MERGE_SOURCE_TIME

Since:
  4.6
See Also:
  - Constant Field Values